Package com.io7m.cedarbridge.codegen.javastatic.internal.generics

# Enum Class CBGenericSerializerMethodDirection

java.lang.Object
java.lang.Enum<CBGenericSerializerMethodDirection>
com.io7m.cedarbridge.codegen.javastatic.internal.generics.CBGenericSerializerMethodDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<CBGenericSerializerMethodDirection>`, `Constable`

public enum CBGenericSerializerMethodDirection extends Enum<CBGenericSerializerMethodDirection>
The type of serialize method.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DESERIALIZE`
  Methods that deserialize values.
  `SERIALIZE`
  Methods that serialize values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CBGenericSerializerMethodDirection`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CBGenericSerializerMethodDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SERIALIZE

    public static final CBGenericSerializerMethodDirection SERIALIZE
    Methods that serialize values.

  - ### DESERIALIZE

    public static final CBGenericSerializerMethodDirection DESERIALIZE
    Methods that deserialize values.

- ## Method Details

  - ### values

    public static CBGenericSerializerMethodDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CBGenericSerializerMethodDirection valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null